import * as axios from 'axios';

type swarmConfig = {
    radius?: number;
    near?: string | undefined;
    broadcast?: string;
    venueId?: string;
    oauth_token?: string;
    m?: string;
    v: string;
    ll: string;
    altAcc: string;
    llAcc: string;
    alt?: string;
    user_id?: string;
    limit?: number;
    afterTimeStamp?: string;
    floorLevel?: string;
};
declare class SwarmappApi {
    config: swarmConfig;
    basePath: string;
    headers: any;
    user: any;
    flowId?: string;
    constructor();
    constructor(oauth_token: string);
    initialize(): Promise<void>;
    initiatemultifactorlogin(username: string, password: string, client_id: string, client_secret: string): Promise<any>;
    completemultifactorlogin(code: string, client_id: string, client_secret: string): Promise<any>;
    getFriends(user_id?: string): Promise<any>;
    getFollowings(user_id?: string): Promise<any>;
    getFollowers(user_id?: string): Promise<any>;
    getLastSeen(user_id?: string, limit?: number): Promise<axios.AxiosResponse<any, any> | undefined> | undefined;
    getUser(user_id?: string): Promise<axios.AxiosResponse<any, any> | undefined>;
    getVenue(venue_id: string): Promise<any>;
    getCheckins(user_id?: string, limit?: number, afterTimestamp?: string): Promise<axios.AxiosResponse<any, any> | undefined>;
    getGeos(user_id?: string): Promise<any>;
    getRecent(limit?: number, ll?: string): Promise<any>;
    getTrending(limit?: number, ll?: string, near?: string, radius?: number): Promise<any>;
    checkIn(venue_id: string, silent: boolean): Promise<any>;
    private_log(): Promise<axios.AxiosResponse<any, any> | undefined>;
    register_device(): Promise<any>;
    addHereNow(checkin: any, females_only?: boolean): Promise<"no one is here" | undefined>;
    addFriendByID(user_id: number): Promise<any>;
    autoAddTrending(location_name: string, limit_trending: number): Promise<void>;
    likeCheckin(checkin_id: string): Promise<axios.AxiosResponse<any, any> | undefined>;
    likeUnliked(limit?: number): Promise<{
        succeeded: any[];
        failed: any[];
    } | undefined>;
    getLL(): string;
    log(message: string): void;
    error(error: any): void;
}

export { SwarmappApi };
